Skip to main content
GET
Fetch an external transaction

Authorizations

Authorization
string
header
required

OAuth 2.0 client_credentials grant. Send client_id:client_secret as HTTP Basic, or as form fields. Tokens are HS256 JWTs valid for one hour (configurable). Decode them at jwt.io.

Path Parameters

id
string<uuid>
required

Response

External transaction

object
enum<string>
required
Available options:
external_transaction
id
string<uuid>
required
source_id
string<uuid>
required
external_id
string
required

The identifier the source gave this movement. Unique per source.

amount
string
required
Pattern: ^-?\d+$
currency
string
required
status
enum<string>
required
Available options:
open,
matched,
ignored
created_at
string<date-time>
required
account_id
string | null
occurred_at
string<date-time> | null
matched_at
string<date-time> | null
ignored_reason
string | null
reconciliation_run_id
string<uuid> | null
reconciliation_match_id
string<uuid> | null
reference_rail
string | null
reference_kind
string | null
reference_value
string | null
raw
object